Bug 1354 - netstat -M still broken in net-tools-1.50-0
netstat -M still broken in net-tools-1.50-0
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: net-tools (Show other bugs)
5.2
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Preston Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-02-26 13:06 EST by everett
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-08-18 10:10:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description everett 1999-02-26 13:06:14 EST
netstat -M works as expected until ICMP is masqed.  Then,
the result is:

masq_info.c: Internal Error `ip_masquerade unknown type'.

Per bugid #1154, netstat was built from
net-tools-1.50-0.src.rpm.  I'm running kernel 2.0.36-3.
Comment 1 Preston Brown 1999-08-18 10:10:59 EDT
the newer netstat commands expect kernel 2.2 masquerading/firewalling
semantics.  You can't use these newer packages without a 2.2 kernel.

Please recompile the the 1.46 version that came with 5.2 to include
masquerading support if you need it, or upgrade to a newer release of
the kernel and use the 1.5x version from 6.0 or RawHide.

Note You need to log in before you can comment on or make changes to this bug.